{
  "name": "dc-sas",
  "description": "dc-sas",
  "scripts": {
    "cpfavicon": "cp sasjs/utils/favicon.ico ../client/dist/favicon.ico",
    "build": "cd ../client && npm run build",
    "deploy:server": "rsync -avhe ssh ../client/dist/* --delete allbow@sas.4gl.io:/opt/sas/sas9/config/Lev1/Web/WebServer/htdocs/allbow/server",
    "sas9": "rsync -avhe ssh ./dist/* --delete ${npm_config_account}@sas.4gl.io:/opt/sas/sas9/config/Lev1/Web/WebServer/htdocs/${npm_config_account}/dc",
    "sas9cbd": "npm run sas9a && npm run sas9b && npm run sas9c && npm run sas9d && npm run sas9e && npm run sas9f && npm run sas9g",
    "sas9a": "./sasjs/utils/delete_metafolder.sh",
    "sas9b": "sasjs cbd -t sas9",
    "sas9c": "sasjs request services/admin/buildtermsas9 -t sas9 ",
    "sas9d": "./sasjs/utils/export_spk.sh",
    "sas9e": "sasjs request services/admin/makedata -d deploy/makeDataSas9.json -t sas9  ",
    "sas9f": "sasjs request services/admin/refreshtablelineage -t sas9 ",
    "sas9g": "sasjs request services/admin/refreshcatalog -t sas9",
    "4gl": "npm run cpfavicon && sasjs cbd -t 4gl && npm run 4glmakedata",
    "4glmakedata": "sasjs request services/admin/makedata -d deploy/makeData4GL.json -l sasjsresults/makedata_4gl.log -o sasjsresults/makedata_4gl.json -t 4gl",
    "server": "npm run cpfavicon && sasjs cbd -t server && npm run serverdata",
    "server-mihajlo": "npm run cpfavicon && sasjs cbd -t server-mihajlo && npm run serverdata-mihajlo",
    "serverdata-mihajlo": "sasjs request services/admin/makedata -d deploy/makeDataServer.json -l sasjsresults/makedata_server.log -o sasjsresults/makedata_server.json -t server-mihajlo",
    "serverdata": "sasjs request services/admin/makedata -d deploy/makeDataServer.json -l sasjsresults/makedata_server.log -o sasjsresults/makedata_server.json -t server",
    "viya": "npm run viyacbd && sasjs test",
    "viyacbd": "sasjs folder delete /Public/app/viya && sasjs cbd -t viya && npm run viyadata",
    "viyadata": "sasjs request services/admin/makedata -d deploy/makeDataViya.json -l sasjsresults/makedata.log -o sasjsresults/output.json",
    "v4data": "sasjs request services/admin/makedata -d deploy/makeDataV4.json -l sasjsresults/makedatav4.log -o sasjsresults/outputv4.json -t v4",
    "sasdocs": "sasjs doc && ./sasjs/utils/deploydocs.sh"
  },
  "private": true,
  "dependencies": {
    "@sasjs/cli": "^4.11.1",
    "@sasjs/core": "^4.48.4"
  }
}
